Results 1 to 3 of 3

Thread: after update cannot install media player

Hybrid View

  1. #1
    Just burned their ISO
    Join Date
    Feb 2013
    Posts
    2

    Default after update cannot install media player

    hello hope im in right area ,,im running bt5 r3,,after updateing i get errors when installing other media players ,,,vlc,rhtymbox,etc
    i do have totem installed but no sound on iit ,,,flashplayer has sound ( u tube )


    root@bt:~# apt-get install vlc
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
    libdmraid1.0.0.rc16 python-pyicu libaccess-bridge-java-jni
    libaccess-bridge-java libdebian-installer4 cryptsetup libecryptfs0
    reiserfsprogs rdate bogl-bterm ecryptfs-utils libdebconfclient0 dmraid
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
    libcddb2 libdvbpsi5 libebml0 libiso9660-7 libmatroska0 libtar libupnp3
    libvcdinfo0 libvlc2 libvlccore2 libxcb-keysyms1 vlc-data vlc-nox
    vlc-plugin-pulse
    Suggested packages:
    mozilla-plugin-vlc videolan-doc
    The following NEW packages will be installed:
    libcddb2 libdvbpsi5 libebml0 libiso9660-7 libmatroska0 libtar libupnp3
    libvcdinfo0 libvlc2 libvlccore2 libxcb-keysyms1 vlc vlc-data vlc-nox
    vlc-plugin-pulse
    0 upgraded, 15 newly installed, 0 to remove and 11 not upgraded.
    Need to get 0B/12.9MB of archives.
    After this operation, 36.7MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    dpkg: parse error, in file '/var/lib/dpkg/available' near line 96 package 'libkfile4':
    `Depends' field, invalid package name `lib/lib/modules/3.2.6/kernel/drivers/net/ethernet/myricom/myri10ge/myri10ge.ko': character `/' not allowed (only letters, digits and characters `-+._')
    E: Sub-process /usr/bin/dpkg returned an error code (2)
    root@bt:~#

    i hope this helps someone help me ,thank you , i did add a video codec package ,,,

  2. #2
    Good friend of the forums zimmaro's Avatar
    Join Date
    Mar 2010
    Location
    milano
    Posts
    407

    Default Re: after update cannot install media player

    hi
    root@bt:~# apt-get install vlc -y
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
    python-qt4-phonon php5-mysql python-magic
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
    liba52-0.7.4 libass4 libdca0 libdvbpsi5 libdvdnav4 libdvdread4 libebml0 libenca0 libiso9660-7 libmatroska0 libpostproc51
    libswscale0 libtar libtwolame0 libupnp3 libvcdinfo0 libvlc2 libvlccore2 libx264-85 libxcb-keysyms1 vlc-data vlc-nox
    vlc-plugin-pulse
    Suggested packages:
    libdvdcss2 debhelper mozilla-plugin-vlc videolan-doc
    Recommended packages:
    head
    The following NEW packages will be installed:
    liba52-0.7.4 libass4 libdca0 libdvbpsi5 libdvdnav4 libdvdread4 libebml0 libenca0 libiso9660-7 libmatroska0 libpostproc51
    libswscale0 libtar libtwolame0 libupnp3 libvcdinfo0 libvlc2 libvlccore2 libx264-85 libxcb-keysyms1 vlc vlc-data vlc-nox
    vlc-plugin-pulse
    0 upgraded, 24 newly installed, 0 to remove and 0 not upgraded.
    Need to get 14.1MB of archives.
    After this operation, 40.4MB of additional disk space will be used.
    Get:1 http://updates.repository.backtrack-linux.org/ revolution/main libpostproc51 4:0.5.9-0ubuntu0.10.04.1 [192kB]
    Get:2 http://32.repository.backtrack-linux.org/ revolution/main liba52-0.7.4 0.7.4-13ubuntu1 [28.6kB]
    Get:3 http://updates.repository.backtrack-linux.org/ revolution/main libswscale0 4:0.5.9-0ubuntu0.10.04.1 [233kB]
    Get:4 http://32.repository.backtrack-linux.org/ revolution/main libdca0 0.0.5-3 [106kB]
    Get:5 http://32.repository.backtrack-linux.org/ revolution/main libdvbpsi5 0.1.6-1 [33.9kB]
    Get:6 http://32.repository.backtrack-linux.org/ revolution/main libdvdread4 4.1.3-8ubuntu1 [57.8kB]
    Get:7 http://32.repository.backtrack-linux.org/ revolution/main libdvdnav4 4.1.3-6 [74.3kB]
    Get:8 http://32.repository.backtrack-linux.org/ revolution/main libebml0 0.7.7-3.1 [63.7kB]
    Get:9 http://32.repository.backtrack-linux.org/ revolution/main libenca0 1.12-1 [67.1kB]
    Get:10 http://updates.repository.backtrack-linux.org/ revolution/main vlc-data 1.0.6-1ubuntu1.8 [7,203kB]
    Get:11 http://32.repository.backtrack-linux.org/ revolution/main libiso9660-7 0.81-4 [126kB]
    Get:12 http://32.repository.backtrack-linux.org/ revolution/main libmatroska0 0.8.1-1.1 [196kB]
    Get:13 http://32.repository.backtrack-linux.org/ revolution/main libtar 1.2.11-6 [21.7kB]
    Get:14 http://32.repository.backtrack-linux.org/ revolution/main libtwolame0 0.3.12-1 [53.6kB]
    Get:15 http://32.repository.backtrack-linux.org/ revolution/main libvcdinfo0 0.7.23-4ubuntu2 [130kB]
    Get:16 http://32.repository.backtrack-linux.org/ revolution/main libass4 0.9.9-0ubuntu1 [54.0kB]
    Get:17 http://32.repository.backtrack-linux.org/ revolution/main libupnp3 1:1.6.6-4 [98.3kB]
    Get:18 http://32.repository.backtrack-linux.org/ revolution/main libx264-85 2:0.85.1448+git1a6d32-4 [454kB]
    Get:19 http://32.repository.backtrack-linux.org/ revolution/main libxcb-keysyms1 0.3.6-1build1 [8,112B]
    Get:20 http://updates.repository.backtrack-linux.org/ revolution/main libvlccore2 1.0.6-1ubuntu1.8 [410kB]
    Get:21 http://updates.repository.backtrack-linux.org/ revolution/main libvlc2 1.0.6-1ubuntu1.8 [51.5kB]
    Get:22 http://updates.repository.backtrack-linux.org/ revolution/main vlc-nox 1.0.6-1ubuntu1.8 [2,824kB]
    Get:23 http://updates.repository.backtrack-linux.org/ revolution/main vlc 1.0.6-1ubuntu1.8 [1,637kB]
    Get:24 http://updates.repository.backtrack-linux.org/ revolution/main vlc-plugin-pulse 1.0.6-1ubuntu1.8 [7,314B]
    Fetched 14.1MB in 17s (794kB/s)
    Selecting previously deselected package liba52-0.7.4.
    (Reading database ... 269986 files and directories currently installed.)
    Unpacking liba52-0.7.4 (from .../liba52-0.7.4_0.7.4-13ubuntu1_i386.deb) ...
    Selecting previously deselected package libdca0.
    Unpacking libdca0 (from .../libdca0_0.0.5-3_i386.deb) ...
    Selecting previously deselected package libdvbpsi5.
    Unpacking libdvbpsi5 (from .../libdvbpsi5_0.1.6-1_i386.deb) ...
    Selecting previously deselected package libdvdread4.
    Unpacking libdvdread4 (from .../libdvdread4_4.1.3-8ubuntu1_i386.deb) ...
    Selecting previously deselected package libdvdnav4.
    Unpacking libdvdnav4 (from .../libdvdnav4_4.1.3-6_i386.deb) ...
    Selecting previously deselected package libebml0.
    Unpacking libebml0 (from .../libebml0_0.7.7-3.1_i386.deb) ...
    Selecting previously deselected package libenca0.
    Unpacking libenca0 (from .../libenca0_1.12-1_i386.deb) ...
    Selecting previously deselected package libiso9660-7.
    Unpacking libiso9660-7 (from .../libiso9660-7_0.81-4_i386.deb) ...
    Selecting previously deselected package libmatroska0.
    Unpacking libmatroska0 (from .../libmatroska0_0.8.1-1.1_i386.deb) ...
    Selecting previously deselected package libpostproc51.
    Unpacking libpostproc51 (from .../libpostproc51_4%3a0.5.9-0ubuntu0.10.04.1_i386.deb) ...
    Selecting previously deselected package libswscale0.
    Unpacking libswscale0 (from .../libswscale0_4%3a0.5.9-0ubuntu0.10.04.1_i386.deb) ...
    Selecting previously deselected package libtar.
    Unpacking libtar (from .../libtar_1.2.11-6_i386.deb) ...
    Selecting previously deselected package libtwolame0.
    Unpacking libtwolame0 (from .../libtwolame0_0.3.12-1_i386.deb) ...
    Selecting previously deselected package libvcdinfo0.
    Unpacking libvcdinfo0 (from .../libvcdinfo0_0.7.23-4ubuntu2_i386.deb) ...
    Selecting previously deselected package vlc-data.
    Unpacking vlc-data (from .../vlc-data_1.0.6-1ubuntu1.8_all.deb) ...
    Selecting previously deselected package libvlccore2.
    Unpacking libvlccore2 (from .../libvlccore2_1.0.6-1ubuntu1.8_i386.deb) ...
    Selecting previously deselected package libvlc2.
    Unpacking libvlc2 (from .../libvlc2_1.0.6-1ubuntu1.8_i386.deb) ...
    Selecting previously deselected package libass4.
    Unpacking libass4 (from .../libass4_0.9.9-0ubuntu1_i386.deb) ...
    Selecting previously deselected package libupnp3.
    Unpacking libupnp3 (from .../libupnp3_1%3a1.6.6-4_i386.deb) ...
    Selecting previously deselected package libx264-85.
    Unpacking libx264-85 (from .../libx264-85_2%3a0.85.1448+git1a6d32-4_i386.deb) ...
    Selecting previously deselected package vlc-nox.
    Unpacking vlc-nox (from .../vlc-nox_1.0.6-1ubuntu1.8_i386.deb) ...
    Selecting previously deselected package libxcb-keysyms1.
    Unpacking libxcb-keysyms1 (from .../libxcb-keysyms1_0.3.6-1build1_i386.deb) ...
    Selecting previously deselected package vlc.
    Unpacking vlc (from .../vlc_1.0.6-1ubuntu1.8_i386.deb) ...
    Selecting previously deselected package vlc-plugin-pulse.
    Unpacking vlc-plugin-pulse (from .../vlc-plugin-pulse_1.0.6-1ubuntu1.8_i386.deb) ...
    Processing triggers for hicolor-icon-theme ...
    Processing triggers for man-db ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for python-gmenu ...
    Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
    Processing triggers for menu ...
    Processing triggers for python-support ...
    Setting up liba52-0.7.4 (0.7.4-13ubuntu1) ...

    Setting up libdca0 (0.0.5-3) ...

    Setting up libdvbpsi5 (0.1.6-1) ...

    Setting up libdvdread4 (4.1.3-8ubuntu1) ...

    Setting up libdvdnav4 (4.1.3-6) ...

    Setting up libebml0 (0.7.7-3.1) ...

    Setting up libenca0 (1.12-1) ...

    Setting up libiso9660-7 (0.81-4) ...

    Setting up libmatroska0 (0.8.1-1.1) ...

    Setting up libpostproc51 (4:0.5.9-0ubuntu0.10.04.1) ...

    Setting up libswscale0 (4:0.5.9-0ubuntu0.10.04.1) ...

    Setting up libtar (1.2.11-6) ...

    Setting up libtwolame0 (0.3.12-1) ...

    Setting up libvcdinfo0 (0.7.23-4ubuntu2) ...

    Setting up vlc-data (1.0.6-1ubuntu1.8) ...
    Setting up libvlccore2 (1.0.6-1ubuntu1.8) ...

    Setting up libvlc2 (1.0.6-1ubuntu1.8) ...

    Setting up libass4 (0.9.9-0ubuntu1) ...

    Setting up libupnp3 (1:1.6.6-4) ...

    Setting up libx264-85 (2:0.85.1448+git1a6d32-4) ...

    Setting up vlc-nox (1.0.6-1ubuntu1.8) ...
    Setting up libxcb-keysyms1 (0.3.6-1build1) ...

    Setting up vlc (1.0.6-1ubuntu1.8) ...

    Setting up vlc-plugin-pulse (1.0.6-1ubuntu1.8) ...
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for menu ...
    root@bt:~#
    NOW SEARCH A PROCEDURE FOR RUN VNC AS ""ROOT""..........hexedit /urs/bin/vlc .....change to getppid....save&exit.......type vlc

    http://imageshack.us/f/202/vlc1b.png/
    http://imageshack.us/f/109/vlc2b.png/

    bye

  3. #3
    Very good friend of the forum maverik35's Avatar
    Join Date
    Sep 2009
    Location
    Debian land
    Posts
    734

    Default Re: after update cannot install media player

    Try using the dpkg --clear-avail, then aptitude update, then aptitude install vlc.

    If issue remains, then you have to do :
    1. Backup of /var/lib/dpkg/available: mv /var/lib/dpkg/available /var/lib/dpkg/available.backup
    2. Create a new one (empty): touch /var/lib/dpkg/available
    3. aptitude update
    4. aptitude install vlc

    Try it.

Similar Threads

  1. Media Player for BT3 (LiveCD)
    By imported_eXtremer in forum OLD Newbie Area
    Replies: 2
    Last Post: 06-18-2009, 05:09 PM
  2. media player problrm
    By mesmar in forum OLD BackTrack 3 Final
    Replies: 0
    Last Post: 06-14-2009, 08:12 PM
  3. Suggest Media Player for BT4
    By Virchanza in forum OLD Newbie Area
    Replies: 6
    Last Post: 05-14-2009, 09:28 PM
  4. media player
    By ptrakk in forum OLD BT4 Feature Requests
    Replies: 3
    Last Post: 03-27-2009, 12:59 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •